Skip to main content
POST
/
v1
/
addresses
/
{addressId}
/
signing
/
message
Sign a message using an address wallet
curl --request POST \
  --url https://api.xentfi.com/v1/addresses/{addressId}/signing/message \
  --header 'Content-Type: application/json' \
  --header 'apiKey: <api-key>' \
  --header 'orgId: <api-key>' \
  --data '
{
  "blockchainId": "<string>",
  "message": "<string>"
}
'
{
  "data": {
    "signature": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.xentfi.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apiKey
string
header
required
orgId
string
header
required

Path Parameters

addressId
string
required

Body

application/json
blockchainId
string
required
message
string
required
encodedByHex
boolean
default:false

Response

Message signed successfully

data
object